Bug 110651 - KDE fonts hosed, icons jaggy, after recent (11/21) update via RHN
KDE fonts hosed, icons jaggy, after recent (11/21) update via RHN
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-11-21 22:47 EST by Eric Fowler
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-12 02:25:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Fowler 2003-11-21 22:47:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)

Description of problem:
Ran UP2DATE on 11/21, it downloaded lots of packages for XFree86.
After the install conpleted successfully I shut the box down to run
errands. I came back later, started the box up. When I logged in to
KDE, I noticed my desktop, menu and konqueror icons and fonts were all
jaggy. Application fonts and icons in Mozilla and OOo look just fine.
I logged out of KDE, then back into Gnome, all looked fine there. But
I and prefer to work in KDE, so I'm filing a bug report. Interestingly
enough, I have the same problem with the "stock" version of Fedora
Core 1 I've been testing on another partition on the same box. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Log into KDE.

Actual Results:  Icons and fonts in base apps all jaggy.

Expected Results:  Smooth bluecurve graphics and fonts

Additional info:

I'm running an Nvidia Quadro 550 using the Nvidia unified driver
version 1.0-4496 in dual-head mode at 1280*1024 @ 24 bits.
Comment 1 patrick charles 2003-11-25 22:10:27 EST
I've experienced this same problem on two different systems. 
Both are running Red Hat 9, with all updates applied, using KDE as the 
The problem does seem to be interaction between KDE and the latest 
XFree86 updates. 
After the XFree86 update, KDE reverts to a default font. 
If you try to change the font, in Konqueror for example, using: 
  configure->appearance->standard font 
No font is listed in the drop-down menu. Clicking on the drop-down to 
attempt to set a font causes KDE to hang. 
The same occurs in control panel when trying to change fonts. 
Comment 2 Mike A. Harris 2004-10-12 02:25:40 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.